### Method

# ECal Component set_recurid

since: 3.34

#### Declaration [src]

    void
    e_cal_component_set_recurid (
      ECalComponent* comp,
      const ECalComponentRange* recur_id
    )

#### Description [src]

Sets the recurrence id property of a calendar component object.

Available since: 3.34

#### Parameters

`recur_id`

  Type: `ECalComponentRange`

  Value for the recurrence id property, or `NULL`, to remove the property.

  The argument can be `NULL`.
  The data is owned by the caller of the method.